com.pdfunit.xml

## Class XMLNode

- java.lang.Object
- - com.pdfunit.xml.XMLNode

-     @DoNotObfuscate
      public class XMLNode
      extends java.lang.Object

  Wrapper class over the name and value of an XML tag. The default namespace is also stored, if necessary.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLNode(java.lang.String tagName)`
    `XMLNode(java.lang.String tagName, DefaultNamespace defaultNS)`
    `XMLNode(java.lang.String tagName, java.lang.String value)` Creating a wrapper instance for the two value given by the parameters.
    `XMLNode(java.lang.String tagName, java.lang.String value, DefaultNamespace defaultNS)` Creating a wrapper instance for the three value given by the parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultNamespace` | `getDefaultNamespace()` This method does what the name suggests.
    `java.lang.String` | `getTagName()` This method does what the name suggests.
    `java.lang.String` | `getValue()` This method does what the name suggests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLNode

          public XMLNode(java.lang.String tagName,
                 java.lang.String value,
                 DefaultNamespace defaultNS)

      Creating a wrapper instance for the three value given by the parameters.

    - #### XMLNode

          public XMLNode(java.lang.String tagName,
                 java.lang.String value)

      Creating a wrapper instance for the two value given by the parameters. The default namespace is empty.

    - #### XMLNode

          public XMLNode(java.lang.String tagName)

    - #### XMLNode

          public XMLNode(java.lang.String tagName,
                 DefaultNamespace defaultNS)

  - ### Method Detail

    - #### getTagName

          public java.lang.String getTagName()

      This method does what the name suggests.

    - #### getValue

          public java.lang.String getValue()

      This method does what the name suggests.

    - #### getDefaultNamespace

          public DefaultNamespace getDefaultNamespace()

      This method does what the name suggests.

Copyright (C) PDFUnit.com. See here for license.